Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.businessrefinery.barcodereader.linear
Class LinearReader

    java.lang.Object
      com.businessrefinery.barcodereader.linear.LinearReader

    public class LinearReader

extends java.lang.Object

Class for reading data from linear (1D) barcode image. Usage: // load image into a BufferedImage object BufferedImage bufferedImage = new BufferedImage(...); LinearReader reader=new LinearReader(); reader.setBarcodeType(LinearReader.CODE128); LinearData[] datas=reader.read(new BarcodeImage(bufferedImage));

Field Summary
`boolean` | `applyContrast` apply contrast algorithm
`static int` | `CODE128`
`static int` | `CODE39`
`static int` | `EAN13`
`static int` | `EAN8`
`static int` | `IDENTCODE`
`static int` | `INTERLEAVED25`
`boolean` | `isBlackWhiteImage` is a black and white image
`static int` | `UPCA`
`static int` | `UPCE`

Constructor Summary
`LinearReader()`

Method Summary
`LinearData[]` | `read(BarcodeImage inputImage)` read barcode image for data
`void` | `setBarcodeType(int type)` set of barcode type to be read
`void` | `setProgressListener(IProgressListener l)` Set progress listener for getting progress information

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CODE128

    public static int CODE128

### EAN8

    public static int EAN8

### EAN13

    public static int EAN13

### UPCA

    public static int UPCA

### UPCE

    public static int UPCE

### CODE39

    public static int CODE39

### INTERLEAVED25

    public static int INTERLEAVED25

### IDENTCODE

    public static int IDENTCODE

### applyContrast

    public boolean applyContrast

  apply contrast algorithm

### isBlackWhiteImage

    public boolean isBlackWhiteImage

  is a black and white image

Constructor Detail

### LinearReader

    public LinearReader()

Method Detail

### setBarcodeType

    public void setBarcodeType(int type)

  set of barcode type to be read

### setProgressListener

    public void setProgressListener(IProgressListener l)

  Set progress listener for getting progress information

### read

    public LinearData[] read(BarcodeImage inputImage)
                      throws BarcodeException

  read barcode image for data

  Throws:
    `BarcodeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD